Imports System.Data.oledb

Public Class Clientes

    ' Objetos pblicos de classes visiveis no projeto
    Public conn As OleDbConnection
    Public da As OleDbDataAdapter
    Public cb As OleDbCommandBuilder

    Public Sub New()
        ' Inicializo os objetos de conexao. Modifique a string de
        ' acordo com seu ambiente. Ex: se voce tiver o SQL Server Express com o Northwind use a string abaixo
        ' conn = New SqlConnection("Data Source=.\SQLExpress;Initial Catalog=Northwind;Integrated Security=SSPI;")
        ' a conexo OleDb acesso o banco de dados Northwind.mdb verifique o caminho de localizao no seu ambiente
        conn = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\teste\Northwind.mdb")
        ' Criamos um dataadapter com os dados da tabela Customers na conexo definida acima
        ' usamos uma instruo SELECT para selecionar alguns campos da tabela
        da = New OleDbDataAdapter("Select CustomerId, ContactName, CompanyName, Address, Country from Customers", conn)
        ' Os comandos de insero, alterao e deleo so criados automaticamente atravs
        ' de um commandbuilder. 
        ' Isto  possvel pois temos somente uma nica tabela definida com uma chave primria
        ' Para mais de uma tabela usando junes (joins) devemos definir os camandos via cdigo
        cb = New OleDbCommandBuilder(da)
    End Sub

    Public Function obtemClientes() As DataTable
        ' Definimos um objeto DataTable
        Dim dt As DataTable = New DataTable("Clientes")
        ' Preenchemos e devolvemos um DataTable como o resultado...
        da.Fill(dt)
        Return dt
    End Function
    Public Sub SalvaClientes(ByVal dt As DataTable)
        ' atualizamos os dados via mtodo update
        da.Update(dt)
    End Sub
End Class
